#include "dup.h"
#include "clean.h"
#include "dirNav.h"

int main(int argc, char *argv[])
{

  dup * visitorDup = new dup;
  clean * visitorClean = new clean;

  char curDir[ 256 ];

  char rootDir[ 256 ]; // the directory to begin traversing

  cout << "\n  Demonstrating finding duplicated filenames! \n"
       << "\n ===================================================\n\n";

  cout << "Please specify the directory to begin with: \n";
  cin  >>  rootDir;

  // List all files, starting with the current directory
  visitorDup->traverse( rootDir, "*.*" );
  cout << endl;

  visitorDup->printResult();
  // visitor->traverse(curDir, "*.*");
  // cout << endl;

  cout << "\n  Demonstrating Directory clean nonessential files! \n"
       << "\n ===================================================\n\n";

  cout << "Please specify the directory to begin with: \n";
  cin  >>  rootDir;

  // List all files, starting with the current directory
  visitorClean->traverse( rootDir, "*.*" );
  cout << endl;

  // visitor->traverse(curDir, "*.*");
  // cout << endl;

  return 0;
}