#include "dup.h"

//
// This function store the filename and the current path
// into a map(hashtable)
//
void dup::processFile( const char * dirName, const char * fName)
{
	string file, path;
	//list< string > pathList;
	set< string > pathSet;

	file = string( fName );
	path = string( dirName );

	// if the the file has not been put to the set
	// put it into the set
	fileNameSet.insert( file );
	
	//pathList = fileNpath[ file ];
	//pathList.push_back( path );
	//fileNpath[ file ] = pathList;
	fileNpath[ file ].insert( path );

	return;
}

void dup::printResult()
{
	//typedef map< string, list< string > >::const_iterator	idxOfMap;
	typedef map< string, set< string > >::const_iterator	idxOfMap;
	typedef set< string >::iterator idxOfSet;
	//typedef list< string >::iterator idxOfList;
	typedef set< string >::iterator idxOfPathSet;

	idxOfMap mIdx;
	idxOfSet sIdx;
	// idxOfList lIdx;
	idxOfPathSet ipst;
	string file, path;
	//list< string > pathList;
	set< string > pathList;

	// for( mIdx = fileNameSet.begin(); mIdx != fileNameSet.end(); ++mIdx)
	// Displaying the duplicated filenames
	for( mIdx = fileNpath.begin(); mIdx != fileNpath.end(); ++mIdx ) {
		pathList = mIdx->second;
		if( mIdx->second.size() > 1 ) {
			cout << "File name " << mIdx->first << " is duplicated in the following directories: " << endl;
			// for( lIdx = mIdx->second.begin(); lIdx != mIdx->second.end(); ++lIdx) 
			for( ipst = mIdx->second.begin(); ipst != mIdx->second.end(); ++ipst) {
				cout << "    " << *ipst << endl;
			}
		}
	}
}

//----< test stub >--------------------------------------------
#ifdef TEST_DUP

int main(int argc, char *argv[])
{
  dup * visitor = new dup;
  cout << "\n  Demonstrating finding duplicated filenames! \n"
       << "\n ===================================================\n\n";

  char curDir[ 256 ];

  if( !GetCurrentDirectory( 256, curDir ) ) {
    cerr << "Couldn't get the current directory." << endl;
    return( 1 );
  }

  // List all files, starting with the current directory
  visitor->traverse( curDir, "*.*" );
  cout << endl;

  visitor->printResult();

  return 0;
}

#endif
